cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Martin Gonzalez (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (CB-6437) [Mobilespec] improve and add support for blackberry, wp8, windows8
Date Mon, 14 Apr 2014 19:34:19 GMT

    [ https://issues.apache.org/jira/browse/CB-6437?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13968724#comment-13968724
] 

Martin Gonzalez edited comment on CB-6437 at 4/14/14 7:33 PM:
--------------------------------------------------------------

Requires CB-6435.
When try to add plugins and Windows8 platform is installed, it during the installation it
throws a error because it doesn't passed the requirements check for version.
Semver it establish that the minimum version is 3.3.0 and the versions files it contains 3.3.0-dev,
so dev is below release version and it doesn't pass. So this error causes a break of the module,
and stops the whole execution. It requires the resolution to work correctly.


was (Author: martin.c.glez.glez):
Requires CB-6415.
When try to add plugins and Windows8 platform is installed, it during the installation it
throws a error because it doesn't passed the requirements check for version.
Semver it establish that the minimum version is 3.3.0 and the versions files it contains 3.3.0-dev,
so dev is below release version and it doesn't pass. So this error causes a break of the module,
and stops the whole execution. It requires the resolution to work correctly.

> [Mobilespec] improve and add support for blackberry, wp8, windows8
> ------------------------------------------------------------------
>
>                 Key: CB-6437
>                 URL: https://issues.apache.org/jira/browse/CB-6437
>             Project: Apache Cordova
>          Issue Type: Improvement
>          Components: BlackBerry, mobile-spec, Windows 8, WP8
>    Affects Versions: 3.4.0
>            Reporter: Martin Gonzalez
>            Assignee: Martin Gonzalez
>              Labels: blackberry10, mobilespec,, module, node, support, windows8, wp8
>             Fix For: 3.5.0
>
>
> The new node module for Mobilespecs can be improved.
> -Adding more functionality
> -Supporting platforms as blackberry10, windows phone 8 and windows 8.
> -Add functionality to automate some process as well.
> -Add functionality to add platforms according to the development environment 
> --- Android, Blackberry, iOS ---> Mac.
> --- Android, Blackberry, Windows 8, Windows Phone 8 ---> Windows 8.
> --- Android, Blackberry ---> Linux or any other Windows OS.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message